/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Accomodation information.
 */
@ApiModel(description = "Accomodation information.")
public class Accommodation {
  @SerializedName("housing_type")
  private String housingType = null;

  @SerializedName("installation_type")
  private String installationType = null;

  public Accommodation housingType(String housingType) {
    this.housingType = housingType;
    return this;
  }

   /**
   * Housing type. Expected values (flat, house)
   * @return housingType
  **/
  @ApiModelProperty(value = "Housing type. Expected values (flat, house)")
  public String getHousingType() {
    return housingType;
  }

  public void setHousingType(String housingType) {
    this.housingType = housingType;
  }

  public Accommodation installationType(String installationType) {
    this.installationType = installationType;
    return this;
  }

   /**
   * Installation type.
   * @return installationType
  **/
  @ApiModelProperty(example = "roof_top", value = "Installation type.")
  public String getInstallationType() {
    return installationType;
  }

  public void setInstallationType(String installationType) {
    this.installationType = installationType;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Accommodation accommodation = (Accommodation) o;
    return Objects.equals(this.housingType, accommodation.housingType) &&
        Objects.equals(this.installationType, accommodation.installationType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(housingType, installationType);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Accommodation {\n");
    
    sb.append("    housingType: ").append(toIndentedString(housingType)).append("\n");
    sb.append("    installationType: ").append(toIndentedString(installationType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

